ru.bitel.bgbilling.modules.bill.common.bean

## Class Attribute

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.bgbilling.modules.bill.common.bean.Attribute

- All Implemented Interfaces:
    java.io.Serializable, Idable

      public class Attribute
      extends Id

  Реквизиты договора для модуля Bill. Поле name является ключем(поле key) AttributeType, то есть как typeId
  name - ключ AttributeType
  value - значение
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Attribute()`
    `Attribute(int id, int contractId, java.lang.String name, java.lang.String value, Period period)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getContractId()`
    `int` | `getContractParamPrefId()` Если реквизит указывает на параметр договора, то вернет id типа справочника параметра договора, иначе -1
    `java.lang.String` | `getName()`
    `Period` | `getPeriod()`
    `java.lang.String` | `getValue()`
    `boolean` | `isUseSuperContract()` Использовать ли параметры договора, если не заданы свои и реквизит ссылается на парамтр договора
    `void` | `setContractId(int cid)`
    `void` | `setContractParamPrefId(int contractParamPrefId)`
    `void` | `setName(java.lang.String name)`
    `void` | `setPeriod(Period period)`
    `void` | `setUseSuperContract(boolean useSuperContract)`
    `void` | `setValue(java.lang.String value)`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Attribute

          public Attribute()

    - #### Attribute

          public Attribute(int id,
                           int contractId,
                           java.lang.String name,
                           java.lang.String value,
                           Period period)

  - ### Method Detail

    - #### getContractId

          public int getContractId()

    - #### setContractId

          public void setContractId(int cid)

    - #### getName

          public java.lang.String getName()

    - #### setName

          public void setName(java.lang.String name)

    - #### getValue

          public java.lang.String getValue()

    - #### setValue

          public void setValue(java.lang.String value)

    - #### getPeriod

          public Period getPeriod()

    - #### setPeriod

          public void setPeriod(Period period)

    - #### getContractParamPrefId

          public int getContractParamPrefId()

      Если реквизит указывает на параметр договора, то вернет id типа справочника параметра договора, иначе -1

    - #### setContractParamPrefId

          public void setContractParamPrefId(int contractParamPrefId)

    - #### isUseSuperContract

          public boolean isUseSuperContract()

      Использовать ли параметры договора, если не заданы свои и реквизит ссылается на парамтр договора

    - #### setUseSuperContract

          public void setUseSuperContract(boolean useSuperContract)